From e39ab44b8464aa14b25fc8554facd34411b926eb Mon Sep 17 00:00:00 2001
From: Claes Wallin <claes.wallin@greatsinodevelopment.com>
Date: Fri, 26 Jun 2015 00:45:41 +0200
Subject: [PATCH 3/3] gnu: make execline commands trivially available to all
 execline scripts

 * gnu/package/skarnet.scm (execline): wrap execlineb to have its own
                                       .../bin first in PATH
---
 gnu/packages/skarnet.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/skarnet.scm b/gnu/packages/skarnet.scm
index 08ebc7a..a75ca8b 100644
--- a/gnu/packages/skarnet.scm
+++ b/gnu/packages/skarnet.scm
@@ -85,7 +85,14 @@
                            (out (open-output-file "package/deps.mak")))
                        (dump-port in out)
                        (close-pipe in)
-                       (close-port out)))))
+                       (close-port out))))
+                  (add-after
+                   'install 'post-install
+                   (lambda* (#:key inputs outputs #:allow-other-keys)
+                    (let* ((out (assoc-ref outputs "out"))
+                           (bin (string-append out "/bin")))
+                      (wrap-program (string-append bin "/execlineb")
+                        `("PATH" ":" prefix (,bin)))))))
        #:tests? #f)) ; No tests exist.
     (home-page "http://skarnet.org/software/execline/")
     (license isc)
-- 
2.4.3

